3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
12 ac_default_prefix
=/usr
/local
13 # Any additions from configure.in:
15 # Initialize some variables set by options.
16 # The variables have the same names as the options, with
17 # dashes changed to underlines.
19 cache_file
=.
/config.cache
28 program_transform_name
=s
,x
,x
,
36 bindir
='${exec_prefix}/bin'
37 sbindir
='${exec_prefix}/sbin'
38 libexecdir
='${exec_prefix}/libexec'
39 datadir
='${prefix}/share'
40 sysconfdir
='${prefix}/etc'
41 sharedstatedir
='${prefix}/com'
42 localstatedir
='${prefix}/var'
43 libdir
='${exec_prefix}/lib'
44 includedir
='${prefix}/include'
45 oldincludedir
='/usr/include'
46 infodir
='${prefix}/info'
47 mandir
='${prefix}/man'
49 # Initialize some other variables.
52 SHELL
=${CONFIG_SHELL-/bin/sh}
53 # Maximum number of lines to put in a shell here document.
60 # If the previous option needs an argument, assign it.
61 if test -n "$ac_prev"; then
62 eval "$ac_prev=\$ac_option"
68 -*=*) ac_optarg
=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
72 # Accept the important Cygnus configure options, so we can diagnose typos.
76 -bindir |
--bindir |
--bindi |
--bind |
--bin |
--bi)
78 -bindir=* |
--bindir=* |
--bindi=* |
--bind=* |
--bin=* |
--bi=*)
79 bindir
="$ac_optarg" ;;
81 -build |
--build |
--buil |
--bui |
--bu)
83 -build=* |
--build=* |
--buil=* |
--bui=* |
--bu=*)
86 -cache-file |
--cache-file |
--cache-fil |
--cache-fi \
87 |
--cache-f |
--cache- |
--cache |
--cach |
--cac |
--ca |
--c)
89 -cache-file=* |
--cache-file=* |
--cache-fil=* |
--cache-fi=* \
90 |
--cache-f=* |
--cache-=* |
--cache=* |
--cach=* |
--cac=* |
--ca=* |
--c=*)
91 cache_file
="$ac_optarg" ;;
93 -datadir |
--datadir |
--datadi |
--datad |
--data |
--dat |
--da)
95 -datadir=* |
--datadir=* |
--datadi=* |
--datad=* |
--data=* |
--dat=* \
97 datadir
="$ac_optarg" ;;
99 -disable-* |
--disable-*)
100 ac_feature
=`echo $ac_option|sed -e 's/-*disable-//'`
101 # Reject names that are not valid shell variable names.
102 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
105 ac_feature
=`echo $ac_feature| sed 's/-/_/g'`
106 eval "enable_${ac_feature}=no" ;;
108 -enable-* |
--enable-*)
109 ac_feature
=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110 # Reject names that are not valid shell variable names.
111 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
114 ac_feature
=`echo $ac_feature| sed 's/-/_/g'`
119 eval "enable_${ac_feature}='$ac_optarg'" ;;
121 -exec-prefix |
--exec_prefix |
--exec-prefix |
--exec-prefi \
122 |
--exec-pref |
--exec-pre |
--exec-pr |
--exec-p |
--exec- \
123 |
--exec |
--exe |
--ex)
124 ac_prev
=exec_prefix
;;
125 -exec-prefix=* |
--exec_prefix=* |
--exec-prefix=* |
--exec-prefi=* \
126 |
--exec-pref=* |
--exec-pre=* |
--exec-pr=* |
--exec-p=* |
--exec-=* \
127 |
--exec=* |
--exe=* |
--ex=*)
128 exec_prefix
="$ac_optarg" ;;
130 -gas |
--gas |
--ga |
--g)
131 # Obsolete; use --with-gas.
134 -help |
--help |
--hel |
--he)
135 # Omit some internal or obsolete options to make the list less imposing.
136 # This message is too long to be a string in the A/UX 3.1 sh.
138 Usage: configure [options] [host]
139 Options: [defaults in brackets after descriptions]
141 --cache-file=FILE cache test results in FILE
142 --help print this message
143 --no-create do not create output files
144 --quiet, --silent do not print \`checking...' messages
145 --version print the version of autoconf that created configure
146 Directory and file names:
147 --prefix=PREFIX install architecture-independent files in PREFIX
149 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
151 --bindir=DIR user executables in DIR [EPREFIX/bin]
152 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
153 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
154 --datadir=DIR read-only architecture-independent data in DIR
156 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
157 --sharedstatedir=DIR modifiable architecture-independent data in DIR
159 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
160 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161 --includedir=DIR C header files in DIR [PREFIX/include]
162 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
163 --infodir=DIR info documentation in DIR [PREFIX/info]
164 --mandir=DIR man documentation in DIR [PREFIX/man]
165 --srcdir=DIR find the sources in DIR [configure dir or ..]
166 --program-prefix=PREFIX prepend PREFIX to installed program names
167 --program-suffix=SUFFIX append SUFFIX to installed program names
168 --program-transform-name=PROGRAM
169 run sed PROGRAM on installed program names
173 --build=BUILD configure for building on BUILD [BUILD=HOST]
174 --host=HOST configure for HOST [guessed]
175 --target=TARGET configure for TARGET [TARGET=HOST]
176 Features and packages:
177 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
178 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
179 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
180 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
181 --x-includes=DIR X include files are in DIR
182 --x-libraries=DIR X library files are in DIR
184 if test -n "$ac_help"; then
185 echo "--enable and --with options recognized:$ac_help"
189 -host |
--host |
--hos |
--ho)
191 -host=* |
--host=* |
--hos=* |
--ho=*)
194 -includedir |
--includedir |
--includedi |
--included |
--include \
195 |
--includ |
--inclu |
--incl |
--inc)
196 ac_prev
=includedir
;;
197 -includedir=* |
--includedir=* |
--includedi=* |
--included=* |
--include=* \
198 |
--includ=* |
--inclu=* |
--incl=* |
--inc=*)
199 includedir
="$ac_optarg" ;;
201 -infodir |
--infodir |
--infodi |
--infod |
--info |
--inf)
203 -infodir=* |
--infodir=* |
--infodi=* |
--infod=* |
--info=* |
--inf=*)
204 infodir
="$ac_optarg" ;;
206 -libdir |
--libdir |
--libdi |
--libd)
208 -libdir=* |
--libdir=* |
--libdi=* |
--libd=*)
209 libdir
="$ac_optarg" ;;
211 -libexecdir |
--libexecdir |
--libexecdi |
--libexecd |
--libexec \
212 |
--libexe |
--libex |
--libe)
213 ac_prev
=libexecdir
;;
214 -libexecdir=* |
--libexecdir=* |
--libexecdi=* |
--libexecd=* |
--libexec=* \
215 |
--libexe=* |
--libex=* |
--libe=*)
216 libexecdir
="$ac_optarg" ;;
218 -localstatedir |
--localstatedir |
--localstatedi |
--localstated \
219 |
--localstate |
--localstat |
--localsta |
--localst \
220 |
--locals |
--local |
--loca |
--loc |
--lo)
221 ac_prev
=localstatedir
;;
222 -localstatedir=* |
--localstatedir=* |
--localstatedi=* |
--localstated=* \
223 |
--localstate=* |
--localstat=* |
--localsta=* |
--localst=* \
224 |
--locals=* |
--local=* |
--loca=* |
--loc=* |
--lo=*)
225 localstatedir
="$ac_optarg" ;;
227 -mandir |
--mandir |
--mandi |
--mand |
--man |
--ma |
--m)
229 -mandir=* |
--mandir=* |
--mandi=* |
--mand=* |
--man=* |
--ma=* |
--m=*)
230 mandir
="$ac_optarg" ;;
233 # Obsolete; use --without-fp.
236 -no-create |
--no-create |
--no-creat |
--no-crea |
--no-cre \
240 -no-recursion |
--no-recursion |
--no-recursio |
--no-recursi \
241 |
--no-recurs |
--no-recur |
--no-recu |
--no-rec |
--no-re |
--no-r)
244 -oldincludedir |
--oldincludedir |
--oldincludedi |
--oldincluded \
245 |
--oldinclude |
--oldinclud |
--oldinclu |
--oldincl |
--oldinc \
246 |
--oldin |
--oldi |
--old |
--ol |
--o)
247 ac_prev
=oldincludedir
;;
248 -oldincludedir=* |
--oldincludedir=* |
--oldincludedi=* |
--oldincluded=* \
249 |
--oldinclude=* |
--oldinclud=* |
--oldinclu=* |
--oldincl=* |
--oldinc=* \
250 |
--oldin=* |
--oldi=* |
--old=* |
--ol=* |
--o=*)
251 oldincludedir
="$ac_optarg" ;;
253 -prefix |
--prefix |
--prefi |
--pref |
--pre |
--pr |
--p)
255 -prefix=* |
--prefix=* |
--prefi=* |
--pref=* |
--pre=* |
--pr=* |
--p=*)
256 prefix
="$ac_optarg" ;;
258 -program-prefix |
--program-prefix |
--program-prefi |
--program-pref \
259 |
--program-pre |
--program-pr |
--program-p)
260 ac_prev
=program_prefix
;;
261 -program-prefix=* |
--program-prefix=* |
--program-prefi=* \
262 |
--program-pref=* |
--program-pre=* |
--program-pr=* |
--program-p=*)
263 program_prefix
="$ac_optarg" ;;
265 -program-suffix |
--program-suffix |
--program-suffi |
--program-suff \
266 |
--program-suf |
--program-su |
--program-s)
267 ac_prev
=program_suffix
;;
268 -program-suffix=* |
--program-suffix=* |
--program-suffi=* \
269 |
--program-suff=* |
--program-suf=* |
--program-su=* |
--program-s=*)
270 program_suffix
="$ac_optarg" ;;
272 -program-transform-name |
--program-transform-name \
273 |
--program-transform-nam |
--program-transform-na \
274 |
--program-transform-n |
--program-transform- \
275 |
--program-transform |
--program-transfor \
276 |
--program-transfo |
--program-transf \
277 |
--program-trans |
--program-tran \
278 |
--progr-tra |
--program-tr |
--program-t)
279 ac_prev
=program_transform_name
;;
280 -program-transform-name=* |
--program-transform-name=* \
281 |
--program-transform-nam=* |
--program-transform-na=* \
282 |
--program-transform-n=* |
--program-transform-=* \
283 |
--program-transform=* |
--program-transfor=* \
284 |
--program-transfo=* |
--program-transf=* \
285 |
--program-trans=* |
--program-tran=* \
286 |
--progr-tra=* |
--program-tr=* |
--program-t=*)
287 program_transform_name
="$ac_optarg" ;;
289 -q |
-quiet |
--quiet |
--quie |
--qui |
--qu |
--q \
290 |
-silent |
--silent |
--silen |
--sile |
--sil)
293 -sbindir |
--sbindir |
--sbindi |
--sbind |
--sbin |
--sbi |
--sb)
295 -sbindir=* |
--sbindir=* |
--sbindi=* |
--sbind=* |
--sbin=* \
297 sbindir
="$ac_optarg" ;;
299 -sharedstatedir |
--sharedstatedir |
--sharedstatedi \
300 |
--sharedstated |
--sharedstate |
--sharedstat |
--sharedsta \
301 |
--sharedst |
--shareds |
--shared |
--share |
--shar \
303 ac_prev
=sharedstatedir
;;
304 -sharedstatedir=* |
--sharedstatedir=* |
--sharedstatedi=* \
305 |
--sharedstated=* |
--sharedstate=* |
--sharedstat=* |
--sharedsta=* \
306 |
--sharedst=* |
--shareds=* |
--shared=* |
--share=* |
--shar=* \
308 sharedstatedir
="$ac_optarg" ;;
310 -site |
--site |
--sit)
312 -site=* |
--site=* |
--sit=*)
315 -srcdir |
--srcdir |
--srcdi |
--srcd |
--src |
--sr)
317 -srcdir=* |
--srcdir=* |
--srcdi=* |
--srcd=* |
--src=* |
--sr=*)
318 srcdir
="$ac_optarg" ;;
320 -sysconfdir |
--sysconfdir |
--sysconfdi |
--sysconfd |
--sysconf \
321 |
--syscon |
--sysco |
--sysc |
--sys |
--sy)
322 ac_prev
=sysconfdir
;;
323 -sysconfdir=* |
--sysconfdir=* |
--sysconfdi=* |
--sysconfd=* |
--sysconf=* \
324 |
--syscon=* |
--sysco=* |
--sysc=* |
--sys=* |
--sy=*)
325 sysconfdir
="$ac_optarg" ;;
327 -target |
--target |
--targe |
--targ |
--tar |
--ta |
--t)
329 -target=* |
--target=* |
--targe=* |
--targ=* |
--tar=* |
--ta=* |
--t=*)
330 target
="$ac_optarg" ;;
332 -v |
-verbose |
--verbose |
--verbos |
--verbo |
--verb)
335 -version |
--version |
--versio |
--versi |
--vers)
336 echo "configure generated by autoconf version 2.13"
340 ac_package
=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
345 ac_package
=`echo $ac_package| sed 's/-/_/g'`
350 eval "with_${ac_package}='$ac_optarg'" ;;
352 -without-* |
--without-*)
353 ac_package
=`echo $ac_option|sed -e 's/-*without-//'`
354 # Reject names that are not valid shell variable names.
355 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
358 ac_package
=`echo $ac_package| sed 's/-/_/g'`
359 eval "with_${ac_package}=no" ;;
362 # Obsolete; use --with-x.
365 -x-includes |
--x-includes |
--x-include |
--x-includ |
--x-inclu \
366 |
--x-incl |
--x-inc |
--x-in |
--x-i)
367 ac_prev
=x_includes
;;
368 -x-includes=* |
--x-includes=* |
--x-include=* |
--x-includ=* |
--x-inclu=* \
369 |
--x-incl=* |
--x-inc=* |
--x-in=* |
--x-i=*)
370 x_includes
="$ac_optarg" ;;
372 -x-libraries |
--x-libraries |
--x-librarie |
--x-librari \
373 |
--x-librar |
--x-libra |
--x-libr |
--x-lib |
--x-li |
--x-l)
374 ac_prev
=x_libraries
;;
375 -x-libraries=* |
--x-libraries=* |
--x-librarie=* |
--x-librari=* \
376 |
--x-librar=* |
--x-libra=* |
--x-libr=* |
--x-lib=* |
--x-li=* |
--x-l=*)
377 x_libraries
="$ac_optarg" ;;
379 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
383 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384 echo "configure: warning: $ac_option: invalid host type" 1>&2
386 if test "x$nonopt" != xNONE
; then
387 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
395 if test -n "$ac_prev"; then
396 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
399 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
401 # File descriptor usage:
404 # 2 errors and warnings
405 # 3 some systems may open it to /dev/tty
406 # 4 used on the Kubota Titan
407 # 6 checking for... messages and results
408 # 5 compiler messages saved in config.log
409 if test "$silent" = yes; then
417 This file contains any messages produced by compilers while
418 running configure, to aid debugging if configure makes a mistake.
421 # Strip out --no-create and --no-recursion so they do not pile up.
422 # Also quote any args containing shell metacharacters.
427 -no-create |
--no-create |
--no-creat |
--no-crea |
--no-cre \
428 |
--no-cr |
--no-c) ;;
429 -no-recursion |
--no-recursion |
--no-recursio |
--no-recursi \
430 |
--no-recurs |
--no-recur |
--no-recu |
--no-rec |
--no-re |
--no-r) ;;
431 *" "*|
*" "*|
*[\
[\
]\~\
#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432 ac_configure_args
="$ac_configure_args '$ac_arg'" ;;
433 *) ac_configure_args
="$ac_configure_args $ac_arg" ;;
438 # Only set these to C if already set. These must not be set unconditionally
439 # because not all systems understand e.g. LANG=C (notably SCO).
440 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441 # Non-C LC_CTYPE values break the ctype check.
442 if test "${LANG+set}" = set; then LANG
=C
; export LANG
; fi
443 if test "${LC_ALL+set}" = set; then LC_ALL
=C
; export LC_ALL
; fi
444 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES
=C
; export LC_MESSAGES
; fi
445 if test "${LC_CTYPE+set}" = set; then LC_CTYPE
=C
; export LC_CTYPE
; fi
447 # confdefs.h avoids OS command line length limits that DEFS can exceed.
448 rm -rf conftest
* confdefs.h
449 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
452 # A filename unique to this package, relative to the directory that
453 # configure is in, which we can look for to find out if srcdir is correct.
456 # Find the source files, if location was not specified.
457 if test -z "$srcdir"; then
458 ac_srcdir_defaulted
=yes
459 # Try the directory containing this script, then its parent.
461 ac_confdir
=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462 test "x$ac_confdir" = "x$ac_prog" && ac_confdir
=.
464 if test ! -r $srcdir/$ac_unique_file; then
468 ac_srcdir_defaulted
=no
470 if test ! -r $srcdir/$ac_unique_file; then
471 if test "$ac_srcdir_defaulted" = yes; then
472 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
474 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
477 srcdir
=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
479 # Prefer explicitly selected file to automatically selected ones.
480 if test -z "$CONFIG_SITE"; then
481 if test "x$prefix" != xNONE
; then
482 CONFIG_SITE
="$prefix/share/config.site $prefix/etc/config.site"
484 CONFIG_SITE
="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
487 for ac_site_file
in $CONFIG_SITE; do
488 if test -r "$ac_site_file"; then
489 echo "loading site script $ac_site_file"
494 if test -r "$cache_file"; then
495 echo "loading cache $cache_file"
498 echo "creating cache $cache_file"
503 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504 ac_cpp
='$CPP $CPPFLAGS'
505 ac_compile
='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506 ac_link
='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507 cross_compiling
=$ac_cv_prog_cc_cross
511 if (echo "testing\c"; echo 1,2,3) |
grep c
>/dev
/null
; then
512 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513 if (echo -n testing
; echo 1,2,3) |
sed s
/-n/xn
/ |
grep xn
>/dev
/null
; then
520 ac_n
= ac_c
='\c' ac_t
=
527 # find make to use to build cmake, prefer gmake
528 for ac_prog
in gmake
make
530 # Extract the first word of "$ac_prog", so it can be a program name with args.
531 set dummy
$ac_prog; ac_word
=$2
532 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
533 echo "configure:534: checking for $ac_word" >&5
534 if eval "test \"`echo '$''{'ac_cv_path_RUNMAKE'+set}'`\" = set"; then
535 echo $ac_n "(cached) $ac_c" 1>&6
539 ac_cv_path_RUNMAKE
="$RUNMAKE" # Let the user override the test with a path.
542 ac_cv_path_RUNMAKE
="$RUNMAKE" # Let the user override the test with a dos path.
545 IFS
="${IFS= }"; ac_save_ifs
="$IFS"; IFS
=":"
547 for ac_dir
in $ac_dummy; do
548 test -z "$ac_dir" && ac_dir
=.
549 if test -f $ac_dir/$ac_word; then
550 ac_cv_path_RUNMAKE
="$ac_dir/$ac_word"
558 RUNMAKE
="$ac_cv_path_RUNMAKE"
559 if test -n "$RUNMAKE"; then
560 echo "$ac_t""$RUNMAKE" 1>&6
562 echo "$ac_t""no" 1>&6
565 test -n "$RUNMAKE" && break
569 fullSrcDir
=`cd $srcdir; pwd`
570 CMAKE_ROOT_DIR
=$fullSrcDir
572 if test "x$BUILD_CMAKE_IN_SUBDIR" = "xtrue"; then
575 # check for some programs we use
578 # save the CFLAGS and CXXFLAGS specified by the user
580 save_CXXFLAGS
=$CXXFLAGS
582 # let autoconf find cc and CC, it will try to add -g -O2 to CFLAGS and CXXFLAGS
583 # Extract the first word of "gcc", so it can be a program name with args.
584 set dummy gcc
; ac_word
=$2
585 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
586 echo "configure:587: checking for $ac_word" >&5
587 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
588 echo $ac_n "(cached) $ac_c" 1>&6
590 if test -n "$CC"; then
591 ac_cv_prog_CC
="$CC" # Let the user override the test.
593 IFS
="${IFS= }"; ac_save_ifs
="$IFS"; IFS
=":"
595 for ac_dir
in $ac_dummy; do
596 test -z "$ac_dir" && ac_dir
=.
597 if test -f $ac_dir/$ac_word; then
606 if test -n "$CC"; then
607 echo "$ac_t""$CC" 1>&6
609 echo "$ac_t""no" 1>&6
612 if test -z "$CC"; then
613 # Extract the first word of "cc", so it can be a program name with args.
614 set dummy cc
; ac_word
=$2
615 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
616 echo "configure:617: checking for $ac_word" >&5
617 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
618 echo $ac_n "(cached) $ac_c" 1>&6
620 if test -n "$CC"; then
621 ac_cv_prog_CC
="$CC" # Let the user override the test.
623 IFS
="${IFS= }"; ac_save_ifs
="$IFS"; IFS
=":"
626 for ac_dir
in $ac_dummy; do
627 test -z "$ac_dir" && ac_dir
=.
628 if test -f $ac_dir/$ac_word; then
629 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
638 if test $ac_prog_rejected = yes; then
639 # We found a bogon in the path, so make sure we never use it.
640 set dummy
$ac_cv_prog_CC
642 if test $# -gt 0; then
643 # We chose a different compiler from the bogus one.
644 # However, it has the same basename, so the bogon will be chosen
645 # first if we set CC to just the basename; use the full file name.
647 set dummy
"$ac_dir/$ac_word" "$@"
655 if test -n "$CC"; then
656 echo "$ac_t""$CC" 1>&6
658 echo "$ac_t""no" 1>&6
661 if test -z "$CC"; then
664 # Extract the first word of "cl", so it can be a program name with args.
665 set dummy cl
; ac_word
=$2
666 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
667 echo "configure:668: checking for $ac_word" >&5
668 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
669 echo $ac_n "(cached) $ac_c" 1>&6
671 if test -n "$CC"; then
672 ac_cv_prog_CC
="$CC" # Let the user override the test.
674 IFS
="${IFS= }"; ac_save_ifs
="$IFS"; IFS
=":"
676 for ac_dir
in $ac_dummy; do
677 test -z "$ac_dir" && ac_dir
=.
678 if test -f $ac_dir/$ac_word; then
687 if test -n "$CC"; then
688 echo "$ac_t""$CC" 1>&6
690 echo "$ac_t""no" 1>&6
695 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
698 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
699 echo "configure:700: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
702 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
703 ac_cpp
='$CPP $CPPFLAGS'
704 ac_compile
='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
705 ac_link
='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
706 cross_compiling
=$ac_cv_prog_cc_cross
708 cat > conftest.
$ac_ext << EOF
710 #line 711 "configure"
711 #include "confdefs.h"
715 if { (eval echo configure
:716: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest
${ac_exeext}; then
716 ac_cv_prog_cc_works
=yes
717 # If we can't run a trivial program, we are probably using a cross compiler.
718 if (.
/conftest
; exit) 2>/dev
/null
; then
719 ac_cv_prog_cc_cross
=no
721 ac_cv_prog_cc_cross
=yes
724 echo "configure: failed program was:" >&5
725 cat conftest.
$ac_ext >&5
726 ac_cv_prog_cc_works
=no
730 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
731 ac_cpp
='$CPP $CPPFLAGS'
732 ac_compile
='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
733 ac_link
='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
734 cross_compiling
=$ac_cv_prog_cc_cross
736 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
737 if test $ac_cv_prog_cc_works = no
; then
738 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
740 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
741 echo "configure:742: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
742 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
743 cross_compiling
=$ac_cv_prog_cc_cross
745 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
746 echo "configure:747: checking whether we are using GNU C" >&5
747 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
748 echo $ac_n "(cached) $ac_c" 1>&6
750 cat > conftest.c
<<EOF
755 if { ac_try
='${CC-cc} -E conftest.c'; { (eval echo configure
:756: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } |
egrep yes >/dev
/null
2>&1; then
762 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
764 if test $ac_cv_prog_gcc = yes; then
770 ac_test_CFLAGS
="${CFLAGS+set}"
771 ac_save_CFLAGS
="$CFLAGS"
773 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
774 echo "configure:775: checking whether ${CC-cc} accepts -g" >&5
775 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
776 echo $ac_n "(cached) $ac_c" 1>&6
778 echo 'void f(){}' > conftest.c
779 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
788 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
789 if test "$ac_test_CFLAGS" = set; then
790 CFLAGS
="$ac_save_CFLAGS"
791 elif test $ac_cv_prog_cc_g = yes; then
792 if test "$GCC" = yes; then
798 if test "$GCC" = yes; then
805 for ac_prog
in $CCC c
++ g
++ gcc CC cxx cc
++ cl
807 # Extract the first word of "$ac_prog", so it can be a program name with args.
808 set dummy
$ac_prog; ac_word
=$2
809 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
810 echo "configure:811: checking for $ac_word" >&5
811 if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
812 echo $ac_n "(cached) $ac_c" 1>&6
814 if test -n "$CXX"; then
815 ac_cv_prog_CXX
="$CXX" # Let the user override the test.
817 IFS
="${IFS= }"; ac_save_ifs
="$IFS"; IFS
=":"
819 for ac_dir
in $ac_dummy; do
820 test -z "$ac_dir" && ac_dir
=.
821 if test -f $ac_dir/$ac_word; then
822 ac_cv_prog_CXX
="$ac_prog"
829 CXX
="$ac_cv_prog_CXX"
830 if test -n "$CXX"; then
831 echo "$ac_t""$CXX" 1>&6
833 echo "$ac_t""no" 1>&6
836 test -n "$CXX" && break
838 test -n "$CXX" || CXX
="gcc"
841 echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
842 echo "configure:843: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
845 # CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
846 ac_cpp
='$CXXCPP $CPPFLAGS'
847 ac_compile
='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
848 ac_link
='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
849 cross_compiling
=$ac_cv_prog_cxx_cross
851 cat > conftest.
$ac_ext << EOF
853 #line 854 "configure"
854 #include "confdefs.h"
856 int main(){return(0);}
858 if { (eval echo configure
:859: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest
${ac_exeext}; then
859 ac_cv_prog_cxx_works
=yes
860 # If we can't run a trivial program, we are probably using a cross compiler.
861 if (.
/conftest
; exit) 2>/dev
/null
; then
862 ac_cv_prog_cxx_cross
=no
864 ac_cv_prog_cxx_cross
=yes
867 echo "configure: failed program was:" >&5
868 cat conftest.
$ac_ext >&5
869 ac_cv_prog_cxx_works
=no
873 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
874 ac_cpp
='$CPP $CPPFLAGS'
875 ac_compile
='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
876 ac_link
='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
877 cross_compiling
=$ac_cv_prog_cc_cross
879 echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
880 if test $ac_cv_prog_cxx_works = no
; then
881 { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
883 echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
884 echo "configure:885: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
885 echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
886 cross_compiling
=$ac_cv_prog_cxx_cross
888 echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
889 echo "configure:890: checking whether we are using GNU C++" >&5
890 if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
891 echo $ac_n "(cached) $ac_c" 1>&6
893 cat > conftest.C
<<EOF
898 if { ac_try
='${CXX-g++} -E conftest.C'; { (eval echo configure
:899: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } |
egrep yes >/dev
/null
2>&1; then
905 echo "$ac_t""$ac_cv_prog_gxx" 1>&6
907 if test $ac_cv_prog_gxx = yes; then
913 ac_test_CXXFLAGS
="${CXXFLAGS+set}"
914 ac_save_CXXFLAGS
="$CXXFLAGS"
916 echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
917 echo "configure:918: checking whether ${CXX-g++} accepts -g" >&5
918 if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
919 echo $ac_n "(cached) $ac_c" 1>&6
921 echo 'void f(){}' > conftest.cc
922 if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
931 echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
932 if test "$ac_test_CXXFLAGS" = set; then
933 CXXFLAGS
="$ac_save_CXXFLAGS"
934 elif test $ac_cv_prog_cxx_g = yes; then
935 if test "$GXX" = yes; then
941 if test "$GXX" = yes; then
949 # restore the flags specified by the user and get rid of any flags
950 # found by autoconf (we do not want -02 -g by default)
952 CXXFLAGS
=$save_CXXFLAGS
957 # Step 1: set the variable "system" to hold the name and version number
958 # for the system. This can usually be done via the "uname" command, but
959 # there are a few systems, like Next, where this doesn't work.
961 echo $ac_n "checking system version (for dynamic loading)""... $ac_c" 1>&6
962 echo "configure:963: checking system version (for dynamic loading)" >&5
963 if test -f /usr
/lib
/NextStep
/software_version
; then
964 system
=NEXTSTEP-
`awk '/3/,/3/' /usr/lib/NextStep/software_version`
966 system
=`uname -s`-`uname -r`
967 if test "$?" -ne 0 ; then
968 echo "$ac_t""unknown (can't find uname command)" 1>&6
971 # Special check for weird MP-RAS system (uname returns weird
972 # results, and the version is kept in special file).
974 if test -r /etc
/.relid
-a "X`uname -n`" = "X`uname -s`" ; then
975 system
=MP-RAS-
`awk '{print $3}' /etc/.relid'`
977 echo "$ac_t""$system" 1>&6
982 CMAKE_CONFIG_DIR
=`pwd`
986 CMAKE_CONFIG_DIR
=`pwd`
987 CMAKE_CONFIG_DIR
="\"$CMAKE_CONFIG_DIR\""
993 CMAKE_ANSI_CXXFLAGS
=""
994 # on hp use -Aa for ansi
995 if test $ac_cv_prog_gxx = no
; then
997 HP-UX-
*.08.
*|HP-UX-
*.09.
*|HP-UX-
*.10.
*)
1000 echo $ac_n "checking whether ${CC} accepts -Aa""... $ac_c" 1>&6
1001 echo "configure:1002: checking whether ${CC} accepts -Aa" >&5
1002 cat > conftest.
$ac_ext <<EOF
1003 #line 1004 "configure"
1004 #include "confdefs.h"
1012 if { (eval echo configure
:1013: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1015 echo "$ac_t""yes" 1>&6
1016 CMAKE_ANSI_CFLAGS
="$CMAKE_ANSI_CFLAGS -Aa"
1019 echo "configure: failed program was:" >&5
1020 cat conftest.
$ac_ext >&5
1023 echo "$ac_t""no" 1>&6
1027 CFLAGS
="$CFLAGS_ORIG"
1029 IRIX-5
* | IRIX-6
* | IRIX64-6
* | IRIX-64-6
*)
1030 echo $ac_n "checking whether ${CXX} accepts -LANG:std""... $ac_c" 1>&6
1031 echo 'void f(){}' > conftest.cc
1032 if test -z "`${CXX} -LANG:std -c conftest.cc 2>&1`"; then
1033 echo "$ac_t""yes" 1>&6
1034 CMAKE_ANSI_CXXFLAGS
="-LANG:std"
1036 echo "$ac_t""no" 1>&6
1042 CXXFLAGS_ORIG
="$CXXFLAGS"
1043 CXXFLAGS
="-std strict_ansi -nopure_cname $CXXFLAGS"
1044 echo $ac_n "checking whether ${CXX} accepts -std strict_ansi -nopure_cname""... $ac_c" 1>&6
1045 echo "configure:1046: checking whether ${CXX} accepts -std strict_ansi -nopure_cname" >&5
1048 # CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1049 ac_cpp
='$CXXCPP $CPPFLAGS'
1050 ac_compile
='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1051 ac_link
='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1052 cross_compiling
=$ac_cv_prog_cxx_cross
1054 cat > conftest.
$ac_ext <<EOF
1055 #line 1056 "configure"
1056 #include "confdefs.h"
1064 if { (eval echo configure
:1065: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1067 echo "$ac_t""yes" 1>&6
1068 CMAKE_ANSI_CXXFLAGS
="-std strict_ansi -nopure_cname"
1071 echo "configure: failed program was:" >&5
1072 cat conftest.
$ac_ext >&5
1075 echo "$ac_t""no" 1>&6
1080 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1081 ac_cpp
='$CPP $CPPFLAGS'
1082 ac_compile
='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1083 ac_link
='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1084 cross_compiling
=$ac_cv_prog_cc_cross
1086 CXXFLAGS
="$CXXFLAGS_ORIG"
1093 # check non-g++ compilers to see if they have the standard
1094 # ansi stream files (without the .h)
1095 if test $ac_cv_prog_gxx = no
; then
1096 CXXFLAGS_ORIG
="$CXXFLAGS"
1097 CXXFLAGS
="$CMAKE_ANSI_CXXFLAGS $CXXFLAGS"
1098 echo $ac_n "checking ansi standard C++ stream headers ""... $ac_c" 1>&6
1099 echo "configure:1100: checking ansi standard C++ stream headers " >&5
1102 # CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1103 ac_cpp
='$CXXCPP $CPPFLAGS'
1104 ac_compile
='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1105 ac_link
='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1106 cross_compiling
=$ac_cv_prog_cxx_cross
1108 cat > conftest.
$ac_ext <<EOF
1109 #line 1110 "configure"
1110 #include "confdefs.h"
1118 if { (eval echo configure
:1119: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1121 echo "$ac_t""yes" 1>&6
1124 echo "configure: failed program was:" >&5
1125 cat conftest.
$ac_ext >&5
1128 cat >> confdefs.h
<<\EOF
1129 #define CMAKE_NO_ANSI_STREAM_HEADERS 1
1132 echo "$ac_t""no" 1>&6
1137 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1138 ac_cpp
='$CPP $CPPFLAGS'
1139 ac_compile
='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1140 ac_link
='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1141 cross_compiling
=$ac_cv_prog_cc_cross
1143 CXXFLAGS
="$CXXFLAGS_ORIG"
1146 # check non-g++ compilers to see if they have std::stringstream
1147 CXXFLAGS_ORIG
="$CXXFLAGS"
1148 CXXFLAGS
="$CMAKE_ANSI_CXXFLAGS $CXXFLAGS"
1149 echo $ac_n "checking for ansi standard C++ stringstream""... $ac_c" 1>&6
1150 echo "configure:1151: checking for ansi standard C++ stringstream" >&5
1153 # CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1154 ac_cpp
='$CXXCPP $CPPFLAGS'
1155 ac_compile
='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1156 ac_link
='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1157 cross_compiling
=$ac_cv_prog_cxx_cross
1159 cat > conftest.
$ac_ext <<EOF
1160 #line 1161 "configure"
1161 #include "confdefs.h"
1169 if { (eval echo configure
:1170: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1172 echo "$ac_t""yes" 1>&6
1175 echo "configure: failed program was:" >&5
1176 cat conftest.
$ac_ext >&5
1179 cat >> confdefs.h
<<\EOF
1180 #define CMAKE_NO_ANSI_STRING_STREAM 1
1183 echo "$ac_t""no" 1>&6
1188 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1189 ac_cpp
='$CPP $CPPFLAGS'
1190 ac_compile
='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1191 ac_link
='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1192 cross_compiling
=$ac_cv_prog_cc_cross
1194 CXXFLAGS
="$CXXFLAGS_ORIG"
1196 # check to see if stl is in the std namespace
1197 if test $ac_cv_prog_gxx = no
; then
1198 CXXFLAGS_ORIG
="$CXXFLAGS"
1199 CXXFLAGS
="$CMAKE_ANSI_CXXFLAGS $CXXFLAGS"
1200 echo $ac_n "checking whether the std namespace is supported""... $ac_c" 1>&6
1201 echo "configure:1202: checking whether the std namespace is supported" >&5
1204 # CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1205 ac_cpp
='$CXXCPP $CPPFLAGS'
1206 ac_compile
='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1207 ac_link
='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1208 cross_compiling
=$ac_cv_prog_cxx_cross
1210 cat > conftest.
$ac_ext <<EOF
1211 #line 1212 "configure"
1212 #include "confdefs.h"
1215 void foo() { std::list<int>(); }
1221 if { (eval echo configure
:1222: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1224 echo "$ac_t""yes" 1>&6
1227 echo "configure: failed program was:" >&5
1228 cat conftest.
$ac_ext >&5
1231 cat >> confdefs.h
<<\EOF
1232 #define CMAKE_NO_STD_NAMESPACE 1
1235 echo "$ac_t""no" 1>&6
1240 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1241 ac_cpp
='$CPP $CPPFLAGS'
1242 ac_compile
='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1243 ac_link
='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1244 cross_compiling
=$ac_cv_prog_cc_cross
1246 CXXFLAGS
="$CXXFLAGS_ORIG"
1249 # check to see if for scoping is supported
1250 if test $ac_cv_prog_gxx = no
; then
1251 CXXFLAGS_ORIG
="$CXXFLAGS"
1252 CXXFLAGS
="$CMAKE_ANSI_CXXFLAGS $CXXFLAGS"
1253 echo $ac_n "checking ansi for scope support""... $ac_c" 1>&6
1254 echo "configure:1255: checking ansi for scope support" >&5
1257 # CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1258 ac_cpp
='$CXXCPP $CPPFLAGS'
1259 ac_compile
='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1260 ac_link
='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1261 cross_compiling
=$ac_cv_prog_cxx_cross
1263 cat > conftest.
$ac_ext <<EOF
1264 #line 1265 "configure"
1265 #include "confdefs.h"
1267 void foo() { for(int i;;); for(int i;;); }
1273 if { (eval echo configure
:1274: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1276 echo "$ac_t""yes" 1>&6
1279 echo "configure: failed program was:" >&5
1280 cat conftest.
$ac_ext >&5
1283 cat >> confdefs.h
<<\EOF
1284 #define CMAKE_NO_ANSI_FOR_SCOPE 1
1287 echo "$ac_t""no" 1>&6
1292 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1293 ac_cpp
='$CPP $CPPFLAGS'
1294 ac_compile
='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1295 ac_link
='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1296 cross_compiling
=$ac_cv_prog_cc_cross
1298 CXXFLAGS
="$CXXFLAGS_ORIG"
1303 cat > confcache
<<\EOF
1304 # This file is a shell script that caches the results of configure
1305 # tests run on this system so they can be shared between configure
1306 # scripts and configure runs. It is not useful on other systems.
1307 # If it contains results you don't want to keep, you may remove or edit it.
1309 # By default, configure uses ./config.cache as the cache file,
1310 # creating it if it does not exist already. You can give configure
1311 # the --cache-file=FILE option to use a different cache file; that is
1312 # what configure does when it calls configure scripts in
1313 # subdirectories, so they share the cache.
1314 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1315 # config.status only pays attention to the cache file if you give it the
1316 # --recheck option to rerun configure.
1319 # The following way of writing the cache mishandles newlines in values,
1320 # but we know of no workaround that is simple, portable, and efficient.
1321 # So, don't put newlines in cache variables' values.
1322 # Ultrix sh set writes to stderr and can't be redirected directly,
1323 # and sets the high bit in the cache file unless we assign to the vars.
1325 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1327 # `set' does not quote correctly, so add quotes (double-quote substitution
1328 # turns \\\\ into \\, and sed turns \\ into \).
1330 -e "s/'/'\\\\''/g" \
1331 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1334 # `set' quotes correctly as required by POSIX, so do not add quotes.
1335 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1338 if cmp -s $cache_file confcache
; then
1341 if test -w $cache_file; then
1342 echo "updating cache $cache_file"
1343 cat confcache
> $cache_file
1345 echo "not updating unwritable cache $cache_file"
1350 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1352 test "x$prefix" = xNONE
&& prefix
=$ac_default_prefix
1353 # Let make expand exec_prefix.
1354 test "x$exec_prefix" = xNONE
&& exec_prefix
='${prefix}'
1356 # Any assignment to VPATH causes Sun make to only execute
1357 # the first set of double-colon rules, so remove it if not needed.
1358 # If there is a colon in the path, we need to keep it.
1359 if test "x$srcdir" = x.
; then
1360 ac_vpsub
='/^[ ]*VPATH[ ]*=[^:]*$/d'
1363 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1365 DEFS
=-DHAVE_CONFIG_H
1367 # Without the "./", some shells look in PATH for config.status.
1368 : ${CONFIG_STATUS=./config.status}
1370 echo creating
$CONFIG_STATUS
1371 rm -f $CONFIG_STATUS
1372 cat > $CONFIG_STATUS <<EOF
1374 # Generated automatically by configure.
1375 # Run this file to recreate the current configuration.
1376 # This directory was configured as follows,
1377 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1379 # $0 $ac_configure_args
1381 # Compiler output produced by configure, useful for debugging
1382 # configure, is in ./config.log if it exists.
1384 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1387 case "\$ac_option" in
1388 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1389 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1390 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1391 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1392 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1394 -help | --help | --hel | --he | --h)
1395 echo "\$ac_cs_usage"; exit 0 ;;
1396 *) echo "\$ac_cs_usage"; exit 1 ;;
1400 ac_given_srcdir=$srcdir
1402 trap 'rm -fr `echo "Source/InitialConfigureFlags.cmake Makefile Source/Makefile Source/cmConfigure.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1404 cat >> $CONFIG_STATUS <<EOF
1406 # Protect against being on the right side of a sed subst in config.status.
1407 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1408 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1412 s%@CFLAGS@%$CFLAGS%g
1413 s%@CPPFLAGS@%$CPPFLAGS%g
1414 s%@CXXFLAGS@%$CXXFLAGS%g
1415 s%@FFLAGS@%$FFLAGS%g
1417 s%@LDFLAGS@%$LDFLAGS%g
1419 s%@exec_prefix@%$exec_prefix%g
1420 s%@prefix@%$prefix%g
1421 s%@program_transform_name@%$program_transform_name%g
1422 s%@bindir@%$bindir%g
1423 s%@sbindir@%$sbindir%g
1424 s%@libexecdir@%$libexecdir%g
1425 s%@datadir@%$datadir%g
1426 s%@sysconfdir@%$sysconfdir%g
1427 s%@sharedstatedir@%$sharedstatedir%g
1428 s%@localstatedir@%$localstatedir%g
1429 s%@libdir@%$libdir%g
1430 s%@includedir@%$includedir%g
1431 s%@oldincludedir@%$oldincludedir%g
1432 s%@infodir@%$infodir%g
1433 s%@mandir@%$mandir%g
1434 s%@RUNMAKE@%$RUNMAKE%g
1437 s%@CMAKE_ROOT_DIR@%$CMAKE_ROOT_DIR%g
1438 s%@CMAKE_CONFIG_DIR@%$CMAKE_CONFIG_DIR%g
1439 s%@CMAKE_ANSI_CFLAGS@%$CMAKE_ANSI_CFLAGS%g
1440 s%@CMAKE_ANSI_CXXFLAGS@%$CMAKE_ANSI_CXXFLAGS%g
1445 cat >> $CONFIG_STATUS <<\EOF
1447 # Split the substitutions into bite-sized pieces for seds with
1448 # small command number limits, like on Digital OSF/1 and HP-UX.
1449 ac_max_sed_cmds
=90 # Maximum number of lines to put in a sed script.
1450 ac_file
=1 # Number of current file.
1451 ac_beg
=1 # First line for current file.
1452 ac_end
=$ac_max_sed_cmds # Line after last line for current file.
1455 while $ac_more_lines; do
1456 if test $ac_beg -gt 1; then
1457 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs
> conftest.s
$ac_file
1459 sed "${ac_end}q" conftest.subs
> conftest.s
$ac_file
1461 if test ! -s conftest.s
$ac_file; then
1463 rm -f conftest.s
$ac_file
1465 if test -z "$ac_sed_cmds"; then
1466 ac_sed_cmds
="sed -f conftest.s$ac_file"
1468 ac_sed_cmds
="$ac_sed_cmds | sed -f conftest.s$ac_file"
1470 ac_file
=`expr $ac_file + 1`
1472 ac_end
=`expr $ac_end + $ac_max_sed_cmds`
1475 if test -z "$ac_sed_cmds"; then
1480 cat >> $CONFIG_STATUS <<EOF
1482 CONFIG_FILES=\${CONFIG_FILES-"Source/InitialConfigureFlags.cmake Makefile Source/Makefile"}
1484 cat >> $CONFIG_STATUS <<\EOF
1485 for ac_file
in ..
$CONFIG_FILES; do if test "x$ac_file" != x..
; then
1486 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1488 *:*) ac_file_in
=`echo "$ac_file"|sed 's%[^:]*:%%'`
1489 ac_file
=`echo "$ac_file"|sed 's%:.*%%'` ;;
1490 *) ac_file_in
="${ac_file}.in" ;;
1493 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1495 # Remove last slash and all that follows it. Not all systems have dirname.
1496 ac_dir
=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1497 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .
; then
1498 # The file is in a subdirectory.
1499 test ! -d "$ac_dir" && mkdir
"$ac_dir"
1500 ac_dir_suffix
="/`echo $ac_dir|sed 's%^\./%%'`"
1501 # A "../" for each directory in $ac_dir_suffix.
1502 ac_dots
=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1504 ac_dir_suffix
= ac_dots
=
1507 case "$ac_given_srcdir" in
1509 if test -z "$ac_dots"; then top_srcdir
=.
1510 else top_srcdir
=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1511 /*) srcdir
="$ac_given_srcdir$ac_dir_suffix"; top_srcdir
="$ac_given_srcdir" ;;
1513 srcdir
="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1514 top_srcdir
="$ac_dots$ac_given_srcdir" ;;
1518 echo creating
"$ac_file"
1520 configure_input
="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1522 *Makefile
*) ac_comsub
="1i\\
1523 # $configure_input" ;;
1527 ac_file_inputs
=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1529 s%@configure_input@%$configure_input%g
1530 s%@srcdir@%$srcdir%g
1531 s%@top_srcdir@%$top_srcdir%g
1532 " $ac_file_inputs |
(eval "$ac_sed_cmds") > $ac_file
1536 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1537 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1539 # ac_d sets the value in "#define NAME VALUE" lines.
1540 ac_dA
='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1541 ac_dB
='\([ ][ ]*\)[^ ]*%\1#\2'
1544 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1545 ac_uA
='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1546 ac_uB
='\([ ]\)%\1#\2define\3'
1549 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1550 ac_eA
='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1551 ac_eB
='$%\1#\2define\3'
1555 if test "${CONFIG_HEADERS+set}" != set; then
1557 cat >> $CONFIG_STATUS <<EOF
1558 CONFIG_HEADERS="Source/cmConfigure.h"
1560 cat >> $CONFIG_STATUS <<\EOF
1562 for ac_file
in ..
$CONFIG_HEADERS; do if test "x$ac_file" != x..
; then
1563 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1565 *:*) ac_file_in
=`echo "$ac_file"|sed 's%[^:]*:%%'`
1566 ac_file
=`echo "$ac_file"|sed 's%:.*%%'` ;;
1567 *) ac_file_in
="${ac_file}.in" ;;
1570 echo creating
$ac_file
1572 rm -f conftest.frag conftest.
in conftest.out
1573 ac_file_inputs
=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1574 cat $ac_file_inputs > conftest.
in
1578 # Transform confdefs.h into a sed script conftest.vals that substitutes
1579 # the proper values into config.h.in to produce config.h. And first:
1580 # Protect against being on the right side of a sed subst in config.status.
1581 # Protect against being in an unquoted here document in config.status.
1583 cat > conftest.hdr
<<\EOF
1586 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1590 sed -n -f conftest.hdr confdefs.h > conftest.vals
1593 # This sed command replaces #undef with comments. This is necessary, for
1594 # example, in the case of _POSIX_SOURCE, which is predefined and required
1595 # on some systems where configure will not decide to define it.
1596 cat >> conftest.vals <<\EOF
1597 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1600 # Break up conftest.vals because some shells have a limit on
1601 # the size of here documents, and old seds have small limits too.
1606 ac_lines=`grep -c . conftest.vals
`
1607 # grep -c gives empty output for an empty file on some AIX systems.
1608 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1609 # Write a limited-size here document to conftest.frag.
1610 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1611 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1613 sed -f conftest.frag conftest.in > conftest.out
1615 mv conftest.out conftest.in
1617 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1619 mv conftest.tail conftest.vals
1623 cat >> $CONFIG_STATUS <<\EOF
1624 rm -f conftest.frag conftest.h
1625 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1626 cat conftest.in >> conftest.h
1628 if cmp -s $ac_file conftest.h 2>/dev/null; then
1629 echo "$ac_file is unchanged"
1632 # Remove last slash and all that follows it. Not all systems have dirname.
1633 ac_dir=`echo $ac_file|
sed 's%/[^/][^/]*$%%'`
1634 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1635 # The file is in a subdirectory.
1636 test ! -d "$ac_dir" && mkdir "$ac_dir"
1639 mv conftest.h $ac_file
1644 cat >> $CONFIG_STATUS <<EOF
1647 cat >> $CONFIG_STATUS <<\EOF
1651 chmod +x $CONFIG_STATUS
1652 rm -fr confdefs* $ac_clean_files
1653 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1659 PRGNAME=configure # Should be `basename $0`
1662 # Check if the bootstrap directory already exists.
1663 if test -d Bootstrap; then
1666 # if it does not create one
1670 # Build bootstrap cmake
1672 echo "Bootstrapping to directory `pwd`"
1673 BUILD_CMAKE_IN_SUBDIR=true $CMAKE_ROOT_DIR/$PRGNAME $ac_configure_args
1676 Bootstrap/Source/cmake $fullSrcDir
1681 echo "Problem bootstrapping CMake"